Fetch stream device parameters
GET
/v3/streams/{stream_id}/params
const url = 'https://api.cardio.ai/v3/streams/1/params';const options = {method: 'GET', headers: {'X-Api-Token': '<X-Api-Token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cardio.ai/v3/streams/1/params \ --header 'X-Api-Token: <X-Api-Token>'Returns device state, pending device command, and custom duration for a stream.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” stream_id
required
integer format: uint64
Stream identifier.
Responses
Section titled “ Responses ”Stream parameters successfully retrieved.
Media type application/json
Device-facing stream parameters.
object
device_state
Current device state.
string
device_command
Pending command for the device.
string
custom_duration
Custom stream duration in milliseconds, rounded down.
integer format: uint64
Example
{ "device_state": "UNKNOWN_DEVICE_STATE", "device_command": "UNKNOWN_DEVICE_COMMAND"}Bad Request - missing or invalid parameters.
Media type application/json
string
Example generated
exampleUnauthorized - missing, expired, or invalid token.
Media type application/json
string
Example generated
exampleForbidden - the provided token is not authorized to call this endpoint.
Media type application/json
string
Example generated
exampleNot Found - requested resource does not exist or is unavailable.
Media type application/json
string
Example generated
exampleToo Many Requests - rate limit exceeded.
Media type application/json
string
Example generated
example